(ns wanijo.framework.repl
  (:require [buddy.hashers :as hashers]
            [neo4j-clj.core :as db]
            [wanijo.framework.neo4j :as neo4j]))

(db/defquery
  create-user
  "CREATE (n:user)
      SET n.ident = {ident}
      SET n.pw = {pw}
      SET n.uuid = {uuid}")

(defn create-user! [ident pw]
  (neo4j/exec-query!
   create-user
   {:ident ident
    :pw (hashers/derive pw)
    :uuid (neo4j/uuid)}))
